Bug 99225 - Xterm does no longer honour pointer color resources
Xterm does no longer honour pointer color resources
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
http://bugs.xfree86.org/show_bug.cgi?...
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-16 03:40 EDT by Alfredo Ferrari
Modified: 2007-04-18 12:55 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-23 20:21:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alfredo Ferrari 2003-07-16 03:40:16 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.2) Gecko/20030623

Description of problem:
The pointer color related resources for xterm are no longer honoured
(pointerColor, pointerColorBackground). They simply do nothing as well as it
does nothing starting xterm with the -ms <color> option.
The bug appeared in RH9. It makes finding the pointer on crowded desktop very
hard and it is particularly nasty with emacs windows where the combination of
the emacs pointer shape and the lack of color makes the pointer extermely hard
to spot on high resolution displays.

Checked on two laptops with ATI and NVidia cards and one desktop with an ATI card

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.start a xterm with "xterm -ms <color>" or set the
pointerColor/pointerColorBackground resources
2.move the pointer on the xterm
3.verify that the color doesn't change to the set value
    

Actual Results:  The pointer color setting is ignored

Expected Results:  The pointer foreground and background colors should switch to
the set values when the pointer is moved on the xterm window

Additional info:
Comment 1 Mike A. Harris 2003-07-16 15:35:00 EDT
Red Hat ships xterm stock, with only security fixes applied.  If this is a
real bug in xterm or it's default configuration, it is a stock xterm bug
and should be reported to the upstream author via http://bugs.xfree86.org

After reporting your bug upstream, if you include the URL to the report
here, I can track the upstream author's response and resolution.  If the
author agrees that it is a bug, and applies a fix for it to CVS, I can
apply a patch to our xterm for future releases as well.

Please provide the upstream bug report URL for tracking.

Thanks
Comment 2 Alfredo Ferrari 2003-07-17 03:09:51 EDT
I opened a bug report as suggested at xfree86. The bug number is 507 and
the url is below

http://bugs.xfree86.org/show_bug.cgi?id=507
Comment 3 Mike A. Harris 2003-07-17 04:11:27 EDT
Thanks, I'll track the upstream bug now.
Comment 4 Mike A. Harris 2004-06-23 20:21:42 EDT
Changing bug status to match upstream bug resolution (NOTABUG).

http://bugs.xfree86.org/show_bug.cgi?id=507

Note You need to log in before you can comment on or make changes to this bug.